#!/bin/sh
#
# UEFI BIOS Key synchronization tool
# Copy it to /etc/init.d/keytool and type
# > update-rc.d keytool defaults 60
#
# Copyright (c) 2015, Juniper Networks, Inc.
#

updatevar=/usr/bin/efi-updatevar

test -x "$updatevar" || exit 1


case "$1" in
  start)
    echo "Synchronizing UEFI key-store:"
    $updatevar -ar
    ;;
  stop|reload|force-reload|restart)
    echo "."
    ;;
  *)
    echo "Usage: /etc/init.d/keytool {start}"
    exit 1
    ;;
esac

exit 0
