/*
 * Copyright (c) 2014, 2015 Juniper Networks, Inc.
 * All rights reserved.
 *
 * see COPYING file
 */
#ifndef __JuniperUEFIRevokedKeys_h__
#define __JuniperUEFIRevokedKeys_h__

/* grantley signed bringup start */
extern uint8_t _binary_db1_a_auth_start[];
extern uint8_t _binary_db1_a_auth_end[];
extern uint8_t _binary_db2_a_auth_start[];
extern uint8_t _binary_db2_a_auth_end[];
extern uint8_t _binary_gpg_dev_sign_a_auth_start[];
extern uint8_t _binary_gpg_dev_sign_a_auth_end[];
extern uint8_t _binary_gpg_trusted_dev_2014_a_auth_start[];
extern uint8_t _binary_gpg_trusted_dev_2014_a_auth_end[];
extern uint8_t _binary_SFTest_a_auth_start[];
extern uint8_t _binary_SFTest_a_auth_end[];
extern uint8_t _binary_faafb898db6dc8a79f176eb7825b0111d8d855bba5175b60bc448e4d8ad502b2_auth_start[];
extern uint8_t _binary_faafb898db6dc8a79f176eb7825b0111d8d855bba5175b60bc448e4d8ad502b2_auth_end[];
/* grantley signed bringup end */

/* morpheus signed bringup start */
extern uint8_t _binary_db1_morpheus_a_auth_start[];
extern uint8_t _binary_db1_morpheus_a_auth_end[];
extern uint8_t _binary_db2_morpheus_a_auth_start[];
extern uint8_t _binary_db2_morpheus_a_auth_end[];
extern uint8_t _binary_gpg_dev_sign_morpheus_a_auth_start[];
extern uint8_t _binary_gpg_dev_sign_morpheus_a_auth_end[];
extern uint8_t _binary_SFTest_morpheus_a_auth_start[];
extern uint8_t _binary_SFTest_morpheus_a_auth_end[];
/* morpheus signed bringup end */

/* ngsrx signed bringup start */
extern uint8_t _binary_db1_ngsrx_a_auth_start[];
extern uint8_t _binary_db1_ngsrx_a_auth_end[];
extern uint8_t _binary_db2_ngsrx_a_auth_start[];
extern uint8_t _binary_db2_ngsrx_a_auth_end[];
extern uint8_t _binary_gpg_dev_sign_ngsrx_a_auth_start[];
extern uint8_t _binary_gpg_dev_sign_ngsrx_a_auth_end[];
extern uint8_t _binary_SFTest_ngsrx_a_auth_start[];
extern uint8_t _binary_SFTest_ngsrx_a_auth_end[];
/* ngsrx signed bringup end */

/* porter signed bringup start */
extern uint8_t _binary_db1_porter_a_auth_start[];
extern uint8_t _binary_db1_porter_a_auth_end[];
extern uint8_t _binary_db2_porter_a_auth_start[];
extern uint8_t _binary_db2_porter_a_auth_end[];
extern uint8_t _binary_gpg_dev_sign_porter_a_auth_start[];
extern uint8_t _binary_gpg_dev_sign_porter_a_auth_end[];
extern uint8_t _binary_SFTest_porter_a_auth_start[];
extern uint8_t _binary_SFTest_porter_a_auth_end[];
/* porter signed bringup end */

/* grantley signed grantley dev keys start */
extern uint8_t _binary_GRANTLEYV1_DEV_dbx1_a_auth_start[];
extern uint8_t _binary_GRANTLEYV1_DEV_dbx1_a_auth_end[];
extern uint8_t _binary_GRANTLEYV1_DEV_dbx2_a_auth_start[];
extern uint8_t _binary_GRANTLEYV1_DEV_dbx2_a_auth_end[];
extern uint8_t _binary_GRANTLEYV1_DEV_grub_root_a_auth_start[];
extern uint8_t _binary_GRANTLEYV1_DEV_grub_root_a_auth_end[];
extern uint8_t _binary_GRANTLEYV1_DEV_grub_trusted_a_auth_start[];
extern uint8_t _binary_GRANTLEYV1_DEV_grub_trusted_a_auth_end[];
/* grantley signed grantley dev keys end */

/* morpheus signed morpheus dev keys start */
extern uint8_t _binary_MORPHEUSV1_DEV_dbx1_a_auth_start[];
extern uint8_t _binary_MORPHEUSV1_DEV_dbx1_a_auth_end[];
extern uint8_t _binary_MORPHEUSV1_DEV_dbx2_a_auth_start[];
extern uint8_t _binary_MORPHEUSV1_DEV_dbx2_a_auth_end[];
extern uint8_t _binary_MORPHEUSV1_DEV_grub_root_a_auth_start[];
extern uint8_t _binary_MORPHEUSV1_DEV_grub_root_a_auth_end[];
extern uint8_t _binary_old_MORPHEUSV1_DEV_grub_trusted_bin_a_auth_start[];
extern uint8_t _binary_old_MORPHEUSV1_DEV_grub_trusted_bin_a_auth_end[];
extern uint8_t _binary_MORPHEUSV1_DEV_grub_trusted_a_auth_start[];
extern uint8_t _binary_MORPHEUSV1_DEV_grub_trusted_a_auth_end[];
/* morpheus signed morpheus dev keys end */

/* ngsrx signed ngsrx dev keys start */
extern uint8_t _binary_NGSRXV1_DEV_dbx1_a_auth_start[];
extern uint8_t _binary_NGSRXV1_DEV_dbx1_a_auth_end[];
extern uint8_t _binary_NGSRXV1_DEV_dbx2_a_auth_start[];
extern uint8_t _binary_NGSRXV1_DEV_dbx2_a_auth_end[];
extern uint8_t _binary_NGSRXV1_DEV_grub_root_a_auth_start[];
extern uint8_t _binary_NGSRXV1_DEV_grub_root_a_auth_end[];
extern uint8_t _binary_old_NGSRXV1_DEV_grub_trusted_bin_a_auth_start[];
extern uint8_t _binary_old_NGSRXV1_DEV_grub_trusted_bin_a_auth_end[];
extern uint8_t _binary_NGSRXV1_DEV_grub_trusted_a_auth_start[];
extern uint8_t _binary_NGSRXV1_DEV_grub_trusted_a_auth_end[];
/* ngsrx signed ngsrx dev keys end */

/* porter signed porter dev keys start */
extern uint8_t _binary_PORTERV1_DEV_dbx1_a_auth_start[];
extern uint8_t _binary_PORTERV1_DEV_dbx1_a_auth_end[];
extern uint8_t _binary_PORTERV1_DEV_dbx2_a_auth_start[];
extern uint8_t _binary_PORTERV1_DEV_dbx2_a_auth_end[];
extern uint8_t _binary_PORTERV1_DEV_grub_root_a_auth_start[];
extern uint8_t _binary_PORTERV1_DEV_grub_root_a_auth_end[];
extern uint8_t _binary_PORTERV1_DEV_grub_trusted_a_auth_start[];
extern uint8_t _binary_PORTERV1_DEV_grub_trusted_a_auth_end[];
/* porter signed porter dev keys end */

#ifndef PRODUCTION
extern uint8_t _binary_cert_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_start[];
extern uint8_t _binary_cert_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_end[];
extern uint8_t _binary_cert_dbx_DEV_TEST_1417486290_a_KEK_auth_start[];
extern uint8_t _binary_cert_dbx_DEV_TEST_1417486290_a_KEK_auth_end[];
extern uint8_t _binary_hash_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_start[];
extern uint8_t _binary_hash_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_end[];
extern uint8_t _binary_hash_dbx_DEV_TEST_1417486290_a_KEK_auth_start[];
extern uint8_t _binary_hash_dbx_DEV_TEST_1417486290_a_KEK_auth_end[];
#endif

struct _efi_revoked_jnpr_keys {
	uint8_t *value_start; /* points to start of authenticated variable update */
	uint8_t *value_end; /* points to the end of authenticated variable update */
	const off_t payload_size;  /* size of the blob - signature (always last part of value) */
	const char *id;  /* some identifier */
	const efi_platform_e platform; /* platform where this belongs to */
	const efi_key_type_e type;     /* type of the key */
	char revoked;  /* whether or not its already revoked */
} revocations[] = {
    /* GRANTLEYV1 start */
	{
		.id =  "juniper_uefi_db1",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db1_a_auth_start,
		.value_end = _binary_db1_a_auth_end,
		.payload_size = 1078, /* size of corresping DER certificate */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_uefi_db2",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db2_a_auth_start,
		.value_end = _binary_db2_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_gpg_bringup (AD87F6EB)",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_gpg_dev_sign_a_auth_start,
		.value_end = _binary_gpg_dev_sign_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "SFTest",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_SFTest_a_auth_start,
		.value_end = _binary_SFTest_a_auth_end,
		.payload_size = 489, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "grub faafb898db",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_BRINGUP, /* technically this is not a brignup entry, but this will do */
		.value_start = _binary_faafb898db6dc8a79f176eb7825b0111d8d855bba5175b60bc448e4d8ad502b2_auth_start,
		.value_end = _binary_faafb898db6dc8a79f176eb7825b0111d8d855bba5175b60bc448e4d8ad502b2_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "Trusted Kernel Development 2014",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_gpg_trusted_dev_2014_a_auth_start,
		.value_end = _binary_gpg_trusted_dev_2014_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "GRANTLEYV1-DEV-dbx1-a",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_GRANTLEYV1_DEV_dbx1_a_auth_start,
		.value_end = _binary_GRANTLEYV1_DEV_dbx1_a_auth_end,
		.payload_size = 1075, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "GRANTLEYV1-DEV-dbx2-a",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_GRANTLEYV1_DEV_dbx2_a_auth_start,
		.value_end = _binary_GRANTLEYV1_DEV_dbx2_a_auth_end,
		.payload_size = 1075, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "GRANTLEYV1-DEV-grub-root-a.auth (BA81DF35)",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_GRANTLEYV1_DEV_grub_root_a_auth_start,
		.value_end = _binary_GRANTLEYV1_DEV_grub_root_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "GRANTLEYV1-DEV-grub-trusted-a.auth",
		.platform = EFI_PLATFORM_GRANTLEYV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_GRANTLEYV1_DEV_grub_trusted_a_auth_start,
		.value_end = _binary_GRANTLEYV1_DEV_grub_trusted_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},

    /* GRANTLEYV1 end */
    /* MORPHEUSV1 start */
	{
		.id =  "juniper_uefi_db1",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db1_morpheus_a_auth_start,
		.value_end = _binary_db1_morpheus_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_uefi_db2",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db2_morpheus_a_auth_start,
		.value_end = _binary_db2_morpheus_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_gpg_bringup (AD87F6EB)",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_gpg_dev_sign_morpheus_a_auth_start,
		.value_end = _binary_gpg_dev_sign_morpheus_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "SFTest",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_SFTest_morpheus_a_auth_start,
		.value_end = _binary_SFTest_morpheus_a_auth_end,
		.payload_size = 489, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "Ultimat Trusted Kernel Development 2015",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_old_MORPHEUSV1_DEV_grub_trusted_bin_a_auth_start,
		.value_end = _binary_old_MORPHEUSV1_DEV_grub_trusted_bin_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "MORPHEUSV1-DEV-dbx1-a",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_MORPHEUSV1_DEV_dbx1_a_auth_start,
		.value_end = _binary_MORPHEUSV1_DEV_dbx1_a_auth_end,
		.payload_size = 1075, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "MORPHEUSV1-DEV-dbx2-a",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_MORPHEUSV1_DEV_dbx2_a_auth_start,
		.value_end = _binary_MORPHEUSV1_DEV_dbx2_a_auth_end,
		.payload_size = 1075, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "MORPHEUSV1-DEV-grub-root-a",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_MORPHEUSV1_DEV_grub_root_a_auth_start,
		.value_end = _binary_MORPHEUSV1_DEV_grub_root_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "MORPHEUSV1-DEV-grub-trusted-a",
		.platform = EFI_PLATFORM_MORPHEUSV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_MORPHEUSV1_DEV_grub_trusted_a_auth_start,
		.value_end = _binary_MORPHEUSV1_DEV_grub_trusted_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
    /* MORPHEUSV1 end */
    /* NGSRXV1 start */
	{
		.id =  "juniper_uefi_db1",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db1_ngsrx_a_auth_start,
		.value_end = _binary_db1_ngsrx_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_uefi_db2",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db2_ngsrx_a_auth_start,
		.value_end = _binary_db2_ngsrx_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_gpg_bringup (AD87F6EB)",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_gpg_dev_sign_ngsrx_a_auth_start,
		.value_end = _binary_gpg_dev_sign_ngsrx_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "SFTest",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_SFTest_ngsrx_a_auth_start,
		.value_end = _binary_SFTest_ngsrx_a_auth_end,
		.payload_size = 489, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "Forge Trusted Kernel Development 2015",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_old_NGSRXV1_DEV_grub_trusted_bin_a_auth_start,
		.value_end = _binary_old_NGSRXV1_DEV_grub_trusted_bin_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "NGSRXV1-DEV-dbx1-a",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_NGSRXV1_DEV_dbx1_a_auth_start,
		.value_end = _binary_NGSRXV1_DEV_dbx1_a_auth_end,
		.payload_size = 1069, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "NGSRXV1-DEV-dbx2-a",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_NGSRXV1_DEV_dbx2_a_auth_start,
		.value_end = _binary_NGSRXV1_DEV_dbx2_a_auth_end,
		.payload_size = 1069, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "NGSRXV1-DEV-grub-root-a",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_NGSRXV1_DEV_grub_root_a_auth_start,
		.value_end = _binary_NGSRXV1_DEV_grub_root_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "NGSRXV1-DEV-grub-trusted-a",
		.platform = EFI_PLATFORM_NGSRXV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_NGSRXV1_DEV_grub_trusted_a_auth_start,
		.value_end = _binary_NGSRXV1_DEV_grub_trusted_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},

    /* NGSRXV1 end */

    /* PORTERV1 start */
	{
		.id =  "juniper_uefi_db1",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db1_porter_a_auth_start,
		.value_end = _binary_db1_porter_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_uefi_db2",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_db2_porter_a_auth_start,
		.value_end = _binary_db2_porter_a_auth_end,
		.payload_size = 1078,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "juniper_gpg_bringup (AD87F6EB)",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_gpg_dev_sign_porter_a_auth_start,
		.value_end = _binary_gpg_dev_sign_porter_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "SFTest",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_SFTest_porter_a_auth_start,
		.value_end = _binary_SFTest_porter_a_auth_end,
		.payload_size = 489, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "PORTERV1-DEV-dbx1-a",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_PORTERV1_DEV_dbx1_a_auth_start,
		.value_end = _binary_PORTERV1_DEV_dbx1_a_auth_end,
		.payload_size = 1071, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "PORTERV1-DEV-dbx2-a",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_PORTERV1_DEV_dbx2_a_auth_start,
		.value_end = _binary_PORTERV1_DEV_dbx2_a_auth_end,
		.payload_size = 1071, /* size of corresponding .der */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "PORTERV1-DEV-grub-root-a",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_PORTERV1_DEV_grub_root_a_auth_start,
		.value_end = _binary_PORTERV1_DEV_grub_root_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "PORTERV1-DEV-grub-trusted-a",
		.platform = EFI_PLATFORM_PORTERV1,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_PORTERV1_DEV_grub_trusted_a_auth_start,
		.value_end = _binary_PORTERV1_DEV_grub_trusted_a_auth_end,
		.payload_size = 32,
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},

    /* PORTERV1 end */
#ifndef PRODUCTION
	/* These are only used by unit tests, and are only signed by bringup KEK */
	{
		.id =  "cert-dbx-BRINGUP-TEST,1417486290,a,KEK.auth",
		.platform = EFI_PLATFORM_TEST,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_cert_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_start,
		.value_end = _binary_cert_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_end,
		.payload_size = 1057, /* size of corresponding der cert */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "cert-dbx-DEV-TEST,1417486290,a,KEK.auth",
		.platform = EFI_PLATFORM_TEST,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_cert_dbx_DEV_TEST_1417486290_a_KEK_auth_start,
		.value_end = _binary_cert_dbx_DEV_TEST_1417486290_a_KEK_auth_end,
		.payload_size = 1049, /*  size of corresponding der cert */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "hash-dbx-BRINGUP-TEST,1417486290,a,KEK.auth",
		.platform = EFI_PLATFORM_TEST,
		.type = EFI_KEY_BRINGUP,
		.value_start = _binary_hash_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_start,
		.value_end = _binary_hash_dbx_BRINGUP_TEST_1417486290_a_KEK_auth_end,
		.payload_size = 32, /* size of raw SHA256 output */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
	{
		.id =  "hash-dbx-DEV-TEST,1417486290,a,KEK.auth",
		.platform = EFI_PLATFORM_TEST,
		.type = EFI_KEY_DEVELOPMENT,
		.value_start = _binary_hash_dbx_DEV_TEST_1417486290_a_KEK_auth_start,
		.value_end = _binary_hash_dbx_DEV_TEST_1417486290_a_KEK_auth_end,
		.payload_size = 32, /* size of raw SHA256 output */
		.revoked = 0, /* always initialized to 0 -- used at runtime */
	},
#endif


};

#endif /* __JuniperUEFIRevokedKeys_h__ */
